package com.zjrs.ggfw.rlzysc.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.ggfw.portal.po.VAc01;
import com.zjrs.ggfw.rlzysc.blo.YgbaBLO;
import com.zjrs.ggfw.rlzysc.bpo.YgbaBPO;
import com.zjrs.ggfw.rlzysc.dto.*;
import com.zjrs.ggfw.rlzysc.po.RsRlzyYgbaygYwPO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import java.io.InputStream;
import java.util.Map;

@Service
public class YgbaBPOImpl extends BPOImpl implements YgbaBPO {

    @Resource
    private YgbaBLO ygbaBLO;

    @Override
    public Map<String, Object> getDwxx() {
        return ygbaBLO.getDwxx();
    }

    @Override
    public String saveDwxx(YgbadwUDTO dto){
        return ygbaBLO.saveDwxx(dto);
    }
    @Override
    public PageResult getYgxxlist(YgbaYgxxQueryDTO dto, Integer pagenum, Integer pagesize){
        return ygbaBLO.getYgxxlist(dto, pagenum, pagesize);
    }

    @Override
    public String saveYgxx(YgbaygUDTO dto){
        return ygbaBLO.saveYgxx(dto);
    }

    @Override
    public void batchSubmitYgxx(YgbaygCommDTO dto){
        ygbaBLO.batchSubmitYgxx(dto);
    }

    @Override
    public void delYgxx(YgbaygCommDTO dto){
        ygbaBLO.delYgxx(dto);
    }

    @Override
    public void quitYgxx(YgbaygQuitDTO dto){
        ygbaBLO.quitYgxx(dto);
    }

    @Override
    public Map<String, String> importYgxx(InputStream is)   throws Exception {
        return ygbaBLO.importYgxx(is);
    }

    @Override
    public PageResult importHzList(YgbaygtempQueryDTO dto, Integer pagenum, Integer pagesize){
        return ygbaBLO.importHzList(dto, pagenum, pagesize);
    }

    @Override
    public PageResult importMxList(YgbaygtempQueryDTO dto, Integer pagenum, Integer pagesize){
        return ygbaBLO.importMxList(dto, pagenum, pagesize);
    }

    @Override
    public RsRlzyYgbaygYwPO getYgxx(YgbaygCommDTO dto){
        return ygbaBLO.getYgxx(dto);
    }

    @Override
    public VAc01 ygbaGetGrjbxx(YgbaygCommDTO dto){
        return ygbaBLO.ygbaGetGrjbxx(dto);
    }
}

